# Capítulo 10: Incorporando Scripts em Transações P2SH no Bitcoin

O Script do Bitcoin  desce vários níveis de abstração, permitindo que controlemos minuciosamente as condições de resgate dos fundos. Mas, como realmente incorporamos esses scripts do Bitcoin nas transações que construímos até agora? A resposta é um novo tipo de transação de Bitcoin, o P2SH.

## Objetivos deste capítulo

Depois de trabalhar neste capítulo, um desenvolvedor será capaz de:

   * Projetar uma transação P2SH;
   * Aplicar um script P2SH Bitcoin.
   
Os objetivos secundários do capítulo incluem a capacidade de:

   * Compreender o script P2SH;
   * Compreender o Script Multisig;
   * Compreender as várias variações dos scripts Segwit;
   * Entender como gastar fundos enviados a um P2SH.
   
## Tabela de conteúdo

* [Seção 1: Entendendo a Fundação do P2SH](10_1_Understanding_the_Foundation_of_P2SH.md)
* [Seção 2: Construindo a Estrutura de P2SH](10_2_Building_the_Structure_of_P2SH.md)
* [Seção 3: Executando um script Bitcoin com P2SH](10_3_Running_a_Bitcoin_Script_with_P2SH.md)
* [Seção 4: Criando scripts multisig](10_4_Scripting_a_Multisig.md)
* [Seção 5: Criando um script Segwit](10_5_Scripting_a_Segwit_Script.md)
* [Seção 6: Gastando uma Transação P2SH](10_6_Spending_a_P2SH_Transaction.md)